#### D.12.7.13 sturmhaseq

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  sturmhaseq(P); P poly.

Return:
  list: the non-zero polynomials of the Sturm-Habicht sequence of P

Assume:
  P is a univariate polynomial.

Theory:
  The Sturm-Habicht sequence (also subresultant sequence) is closely related to the Sturm sequence, but behaves better with respect to the size of the coefficients. It is defined via subresultants. See: Basu, Pollack, Roy, Algorithms in Real Algebraic Geometry, Springer, 2003.

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = x5-x4+x-3/2;
    list l = sturmhaseq(p);
    l;
    ==> [1]:
    ==>    132949/16
    ==> [2]:
    ==>    -25x-332
    ==> [3]:
    ==>    -16x2+42x-24
    ==> [4]:
    ==>    4x3-20x+73/2
    ==> [5]:
    ==>    5x4-4x3+1
    ==> [6]:
    ==>    x5-x4+x-3/2

See also: sturm; sturmha; sturmseq.

User manual for Singular version 4.4.1, 2025, generated by texi2html.